Updated FPCaptcha plugin

For devs and testers: Tests of current development versions, technical details of the code.
Post Reply
eagleman
Posts: 104
Joined: Sat Mar 02, 2019 12:10 pm

Updated FPCaptcha plugin

Post by eagleman » Wed Nov 09, 2022 8:45 pm

Hello,
I have added the backward compatibility string to FPCaptcha plugin.
I don't know wether I have done it correctly, maybe Arvid or someone else could try to revise and test it.
Let me know.
Attachments
fpcaptcha.zip
New version of FPCaptcha plugin compatible with FP 1.3 and Smarty 4
(37.68 KiB) Downloaded 12 times

User avatar
fraenkiman
Posts: 90
Joined: Thu Feb 03, 2022 7:25 pm
Location: Berlin, Germany
Contact:

Re: Updated FPCaptcha plugin

Post by fraenkiman » Thu Nov 10, 2022 9:03 pm

Hello eagleman,

i have tested the plugin on smarty 4 and 2.6. When trying to activate the plugin, I get "HTTP ERROR 500" on both smarty versions. There seems to be something wrong.
PHP is not my strength. I'll take a look at it when I get a chance. Maybe I will find the cause.

With best regards
Frank
My Flatpress-Blog [German]: https://frank-web.dedyn.io

eagleman
Posts: 104
Joined: Sat Mar 02, 2019 12:10 pm

Re: Updated FPCaptcha plugin

Post by eagleman » Fri Nov 11, 2022 9:33 am

fraenkiman wrote: Thu Nov 10, 2022 9:03 pm Hello eagleman,

i have tested the plugin on smarty 4 and 2.6. When trying to activate the plugin, I get "HTTP ERROR 500" on both smarty versions. There seems to be something wrong.
PHP is not my strength. I'll take a look at it when I get a chance. Maybe I will find the cause.

With best regards
Frank
That's why I posted it here, because is a test release. Surely someone will try to fix it.

User avatar
fraenkiman
Posts: 90
Joined: Thu Feb 03, 2022 7:25 pm
Location: Berlin, Germany
Contact:

Re: Updated FPCaptcha plugin

Post by fraenkiman » Thu Dec 01, 2022 11:55 pm

Hello eagleman,

I have tested the plugin in its original form on my fp-1.3dev / smarty 4 instance.

Once you disable Accessible Antispam, the plugin works fine. Unfortunately only when you want to comment on a post - not in the contact form. However, this is not due to the plugin, but because the contact form (contact.php + contact.tpl) has been revised by Arvid - and currently supports neither Accessible Antispam nor fpcaptcha.

Please feel free to give me feedback if the plugin works in posts with Accessible Antispam plugin disabled.

With best regards
Frank
My Flatpress-Blog [German]: https://frank-web.dedyn.io

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest